# FoundationClasses
TKAdvTools
Materials

# Materials_MaterialDefinition Class Reference

This inherited class is useful to create the
abstract description of a material, in term of
authorized properties.
.

`#include <Materials_MaterialDefinition.hxx>`

Inheritance diagram for Materials_MaterialDefinition:

[legend]

## Public Member Functions

Standard_EXPORT | Materials_MaterialDefinition ()
| Creates the exhaustive definition of a material. .
virtual Standard_EXPORT Handle_Dynamic_Parameter | Switch (const Standard_CString aname, const Standard_CString atype, const Standard_CString avalue) const
| Starting with the identifier of the parameter <aname>, the type of parameter <atype> and a string <avalue> which describes the values useful for this type of parameters, creates and returns a Parameter object from Dynamic. .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Constructor & Destructor Documentation

Standard_EXPORT Materials_MaterialDefinition::Materials_MaterialDefinition | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const Materials_MaterialDefinition::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from Dynamic_FuzzyDefinitionsDictionary.

virtual Standard_EXPORT Handle_Dynamic_Parameter Materials_MaterialDefinition::Switch | ( | const Standard_CString | aname,
|  | const Standard_CString | atype,
|  | const Standard_CString | avalue
| ) | const`[virtual]`

| Reimplemented from Dynamic_FuzzyDefinitionsDictionary.

The documentation for this class was generated from the following file:

- Materials_MaterialDefinition.hxx